/*
 * Class WEL_RBIM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_311 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_311 [] = {0xFF01,1551,310,0xFFFF};
static const EIF_TYPE_INDEX egt_2_311 [] = {0xFF01,310,0xFFFF};
static const EIF_TYPE_INDEX egt_3_311 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_311 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_311 [] = {0xFF01,310,0xFFFF};
static const EIF_TYPE_INDEX egt_6_311 [] = {0xFF01,310,0xFFFF};
static const EIF_TYPE_INDEX egt_7_311 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_311 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_311 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_311 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_311 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_311 [] = {0xFF01,310,0xFFFF};


static const struct desc_info desc_311[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_311), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_311), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_311), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_311), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_311), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_311), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_311), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_311), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_311), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_311), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_311), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_311), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x026D /*310*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_311), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6123, 0xFFFFFFFF},
};
void Init311(void)
{
	IDSC(desc_311, 0, 310);
	IDSC(desc_311 + 1, 1, 310);
	IDSC(desc_311 + 32, 126, 310);
}


#ifdef __cplusplus
}
#endif
